local sceneCanvas, lightCanvas
local mouse = love.mouse
function love.load()
	sceneCanvas,lightCanvas = love.graphics.newCanvas(),love.graphics.newCanvas()
	img = love.graphics.newImage('colorful-spiral.png')	
end
function love.draw()
	-- draw scene
	love.graphics.setCanvas(sceneCanvas)
	love.graphics.setColor(0,0,0,255)
	love.graphics.rectangle('fill',0,0, love.graphics.getWidth(), love.graphics.getHeight())
	love.graphics.setColor(255,255,255)
	love.graphics.draw(img,100,100)
	love.graphics.setColor(255,255,255)
	-- draw light
	lightCanvas:clear()
	love.graphics.setCanvas(lightCanvas)
	love.graphics.setColor(0,0,0,255)
	love.graphics.rectangle('fill',0,0, love.graphics.getWidth(), love.graphics.getHeight())
	love.graphics.setColor(200,200,200,255)
	love.graphics.circle('fill', mouse.getX(),mouse.getY(),100,20)
	-- multiply canvas
	love.graphics.setCanvas()
	love.graphics.draw(lightCanvas)
	love.graphics.setBlendMode('multiplicative')
	love.graphics.draw(sceneCanvas)
	love.graphics.setBlendMode('alpha')
end